Qt 5.8 | Qt 3D | C++ Classes | QRenderCapture

Qt 5.8.0 Reference Documentation

# QRenderCapture Class

(Qt3DRender::QRenderCapture)

Frame graph node for render capture More...

Header: | #include <QRenderCapture>
qmake: | QT += 3drender
Since: | Qt 5.8
Instantiated By: | RenderCapture
Inherits: | Qt3DRender::QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QRenderCapture(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QRenderCaptureReply * | requestCapture(int captureId)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Frame graph node for render capture

The QRenderCapture is used to capture rendering into an image at any render stage. Capturing must be initiated by the user and one image is returned per capture request. User can issue multiple render capture requests simultaniously, but only one request is served per QRenderCapture instance per frame.

## Member Function Documentation

### QRenderCapture::QRenderCapture(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.

### Qt3DRender::QRenderCaptureReply *QRenderCapture::requestCapture(int captureId)

Used to request render capture. User can specify a captureId to identify the request. The requestId does not have to be unique. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is reponsible for deallocating the returned object.